<?php

class blockCategoryProducts extends Module
{
 	function __construct()
 	{
 	 	$this->name = 'blockcategoryproducts';
 	 	$this->version = '1.1';
 	 	$this->tab = 'Products';
		
		parent::__construct();
		$this->page = basename(__FILE__, '.php');
		$this->displayName = $this->l('Category Products');
		$this->description = $this->l('Display products of the same category on the product page');
 	}

	function install()
	{
	 	if (!parent::install())
	 		return false;
	 	return $this->registerHook('productfooter');
	}
	
	function hookProductFooter($params)
	{
		global $smarty, $cookie;
		
		$idProduct = Tools::getValue('id_product');
		
		$categoryProducts = $params['category']->getProducts(intval($cookie->id_lang), 1, 30);
		$sizeOfCategoryProducts = sizeof($categoryProducts);
		$middlePosition = round($sizeOfCategoryProducts / 2, 0);
		$productPosition = NULL;
		
		for($i = 0; $i < $sizeOfCategoryProducts; $i++)
		{
			if ($categoryProducts[$i]['id_product'] == $idProduct)
			{
				$productPosition = $i;
				break;
			}
		}
		$tmp = $categoryProducts[$middlePosition-1];
		$categoryProducts[$middlePosition-1] = $categoryProducts[$productPosition];
		$categoryProducts[$productPosition] = $tmp;
		$smarty->assign('categoryProducts', $categoryProducts);
		$smarty->assign('middlePosition', $middlePosition);
		return $this->display(__FILE__, 'blockcategoryproducts.tpl');
	}
}
?>
